package com.winhc.repal.cloud;

import com.winhc.common.base.ApiDataResult;
import com.winhc.repal.cloud.dto.AddDiagnoseRecordDTO;
import com.winhc.repal.cloud.vo.DiagnosisRecord;
import com.winhc.repal.cloud.vo.DiagnosisRecordVO;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author Aaron
 * @date 2020/12/14 10:19
 * @description
 */
@FeignClient("inCaseService")
//@FeignClient(value = "inCaseService",url = "106.14.81.247:58554")
public interface InCaseService {

    /**
     * 进行履债评估
     * @param dto dto
     * @return com.winhc.common.base.ApiDataResult<com.winhc.repal.cloud.vo.DiagnosisRecord>
     * @author xda
     * @date 2022/4/14 14:58
     */
    @PostMapping("diagnose/performance/assessment")
    ApiDataResult<DiagnosisRecord> performanceAssessment(@Validated @RequestBody AddDiagnoseRecordDTO dto);



    /**
     * 查询评估record
     * @param diagnosisId diagnosisId
     * @return com.winhc.common.base.ApiDataResult<com.winhc.repal.cloud.vo.DiagnosisRecordVO>
     * @author xda
     * @date 2022/4/14 14:59
     */
    @GetMapping("/diagnose/{diagnosisId}")
    ApiDataResult<DiagnosisRecordVO> getRecordVO(@PathVariable("diagnosisId") Long diagnosisId);

}
