//package com.winhc.returnmoney.controller;
//
//import com.winhc.common.base.BeanResponse;
//import com.winhc.common.enums.CodeMsg;
//import com.winhc.common.model.base.VOPage;
//import com.winhc.returnmoney.common.BaseController;
//import com.winhc.returnmoney.entity.AccountBill;
//import com.winhc.returnmoney.model.dto.*;
//import com.winhc.returnmoney.model.vo.*;
//import com.winhc.returnmoney.service.AccountBillService;
//import com.winhc.returnmoney.util.RequesterUtil;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.List;
//
//
///**
// * @description AccountBill Controller
// * @author Generator
// * @date 2020-12-15
// */
//@Slf4j
//@Api(tags = "账款")
//@RestController
//@RequestMapping(value = "/accountBill")
//public class AccountBillController extends BaseController {
//
//    @Autowired
//    private AccountBillService accountBillService;
//
//    @ApiOperation("获取账本下的账款列表")
//    @RequestMapping( method = RequestMethod.GET)
//    public BeanResponse<VOPage<AccountBillListVO>> getAccountBillList(@Validated GetAccountBillListDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.getAccountBillList(dto.setUserId(RequesterUtil.getCurrentUserId())));
//    }
//
//    @ApiOperation("获取账款信息by账款id")
//    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
//    public BeanResponse<AccountBillDetailVO> getAccountBillDetailById(@PathVariable("id") Long id) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.getAccountBillDetailById(id, RequesterUtil.getCurrentUserId(), getAppPackageName(), getAppVersion()));
//    }
//
//    @ApiOperation("根据类型和账款id修改账款信息")
//    @RequestMapping(value = "/{id}", method = RequestMethod.PUT)
//    public BeanResponse<Boolean> updateAccountBillByType(@PathVariable("id")Long id, @Validated @RequestBody UpdateAccountBillDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.updateAccountBillByType(dto.setUserId(RequesterUtil.getCurrentUserId()).setAccountBillId(id)));
//    }
//
//    @ApiOperation("新增账款")
//    @RequestMapping(method = RequestMethod.POST)
//    public BeanResponse<AccountBillVO> addAccountBook(@Validated @RequestBody AddAccountBillDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.addAccountBill(dto, RequesterUtil.getCurrentUserId()));
//    }
//
//    @ApiOperation("删除账款")
//    @DeleteMapping("/{id}")
//    public BeanResponse<Boolean> delAccountBook(@PathVariable("id")Long id){
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.deleteAccountBill(id,RequesterUtil.getCurrentUser()));
//    }
//
//    @ApiOperation("简易轮询账款")
//    @RequestMapping(value = "/poll/{id}", method = RequestMethod.GET)
//    public BeanResponse<AccountBillVO> pollAccountBillById(@PathVariable("id")Long id) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.pollAccountBillById(new AccountBill().setId(id).setUserId(RequesterUtil.getCurrentUserId())));
//    }
//
//    @ApiOperation("批量轮询")
//    @RequestMapping(value = "/poll/batch", method = RequestMethod.POST)
//    public BeanResponse<List<AccountBillVO>> pollBatchAccountBillByIds(@RequestBody BatchPollAccountBillDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.pollBatchAccountBillByIds(dto.setUserId(RequesterUtil.getCurrentUserId())));
//    }
//
//    @ApiOperation("联系客服")
//    @RequestMapping(value = "/apply", method = RequestMethod.GET)
//    public BeanResponse<Boolean> applyCustomerService(ApplyCustomerServiceDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.applyCustomerService(dto.setUserId(RequesterUtil.getCurrentUserId())));
//    }
//
//    @ApiOperation("批量导入")
//    @RequestMapping(value = "/batchImport", method = RequestMethod.POST)
//    public BeanResponse<BatchImportResultVO> batchImportAccountBill(@RequestBody List<BatchImportAccountBillDTO> dtoList) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.batchImportAccountBill(dtoList));
//    }
//
//    @ApiOperation("账款添加一笔已收回记录")
//    @RequestMapping(value = "/receipt", method = RequestMethod.POST)
//    public BeanResponse<Boolean> addAccountBillReceipt(@RequestBody AddAccountBillReceiptDTO dto) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.addAccountBillReceipt(dto, RequesterUtil.getCurrentUserId()));
//    }
//
////    @Deprecated
////    @ApiOperation("修复cid对应companyId")
////    @RequestMapping(value = "/fixCompanyId", method = RequestMethod.POST)
////    public BeanResponse<Boolean> fixCompanyId() {
////        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.fixCompanyId());
////    }
//
//    @ApiOperation("获取用户应收账款总额和笔数")
//    @RequestMapping(value = "/total/{userId}", method = RequestMethod.GET)
//    public BeanResponse<AccountBillTotalVO> getTotalMoneyAndCount(@PathVariable("userId") Long userId) {
//        return BeanResponse.success(CodeMsg.SUCCESS, accountBillService.getTotalMoneyAndCount(userId));
//    }
//
//
//
//
//}
