package com.winhc.repal.enums;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Description: 账款状态
 * @Author: xda
 * @Date: 2022/4/14 16:40
 */
public enum RepalBillStatusEnum {

    /**
     *  账款状态
     */
    PROGRESSING(1, "进行中"),
    OVERDUE(2, "已逾期"),
    SUCCESS(3, "已收回"),
    END(4, "已终止");

    private final Integer code;

    private final String msg;

    RepalBillStatusEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

    public static List<Integer> getBillStatusList() {
        return Arrays.stream(RepalBillStatusEnum.values()).map(RepalBillStatusEnum::getCode).collect(Collectors.toList());
    }
}
