package com.winhc.repal.service.impl;

import com.alibaba.fastjson.JSON;
import com.winhc.common.base.ApiDataResult;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.cloud.DataMiddlewareService;
import com.winhc.repal.cloud.dto.QueryESFinanceDynamicDTO;
import com.winhc.repal.cloud.dto.QueryV8DynamicDTO;
import com.winhc.repal.cloud.vo.FinanceDynamicVO;
import com.winhc.repal.cloud.vo.V8DynamicVO;
import com.winhc.repal.service.CompanyService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @Description: CompanyServiceImpl
 * @Author: xda
 * @Date: 2020/12/15  16:58
 */
@Service
public class CompanyServiceImpl implements CompanyService {

    public static final Logger LOGGER = LoggerFactory.getLogger(CompanyServiceImpl.class);

    @Autowired
    private DataMiddlewareService dataMiddlewareService;


    @Override
    public VOPage<V8DynamicVO> queryDynamic(QueryV8DynamicDTO dto, Integer pageNum, Integer pageSize) {
        ApiDataResult<VOPage<V8DynamicVO>> apiDataResult = dataMiddlewareService.pageDynamic(dto,pageNum,pageSize);
        if(Objects.isNull(apiDataResult)){
            LOGGER.error("未查到对应公司的动态:[{}]", JSON.toJSONString(dto));
            return new VOPage<>();
        }
        return apiDataResult.getData();
    }


    @Override
    public VOPage<FinanceDynamicVO> pageFinanceDynamic(QueryESFinanceDynamicDTO dto) {
        ApiDataResult<VOPage<FinanceDynamicVO>> apiDataResult = dataMiddlewareService.pageFinanceDynamic(dto);
        if (Objects.isNull(apiDataResult)) {
            LOGGER.error("未查到对应公司的动态:[{}]", JSON.toJSONString(dto));
            return new VOPage<>();
        }
        return apiDataResult.getData();
    }
}
