package com.winhc.repal.service.impl;

import com.winhc.repal.entity.RepalLink;
import com.winhc.repal.repository.RepalLinkMapper;
import com.winhc.repal.service.RepalLinkService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.model.dto.RepalLinkDTO;
import com.winhc.repal.model.cvt.RepalLinkConvert;
import com.winhc.repal.model.vo.RepalLinkVO;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @description RepalLink 接口实现类
 * @author Generator
 * @date 2022-04-08
 */
@Service
public class RepalLinkServiceImpl extends ServiceImpl<RepalLinkMapper, RepalLink> implements RepalLinkService {

    @Override
    public void add(RepalLinkDTO dto) {
        save(RepalLinkConvert.DTOToEntity(dto));
    }

    @Override
    public void update(Long id, RepalLinkDTO dto) {
        update(RepalLinkConvert.DTOToEntity(dto),new UpdateWrapper<RepalLink>().lambda().eq(RepalLink::getId,id));
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

    @Override
    public RepalLinkVO find(Long id) {
        return RepalLinkConvert.EntityToVO(getById(id));
    }

    @Override
    public List<RepalLinkVO> find(RepalLinkDTO dto) {
        return list(new QueryWrapper<>(RepalLinkConvert.DTOToEntity(dto))).stream().map(RepalLinkConvert::EntityToVO)
                 .collect(Collectors.toList());
    }

     @Override
     public VOPage<RepalLinkVO> find(RepalLinkDTO dto, Integer pageNum, Integer pageSize) {
         IPage<RepalLink> pageRepalLink = page(new Page<>(pageNum, pageSize), new QueryWrapper<>(RepalLinkConvert.DTOToEntity(dto)));
         return new VOPage<>(pageNum,pageSize,pageRepalLink.getTotal(), pageRepalLink.getRecords().stream()
                 .map(RepalLinkConvert::EntityToVO).collect(Collectors.toList()));
    }
}
